|  | Home | Documentation | ISAPI_SoapServerFactory.h File Reference updated Mon Feb 22 2016 |

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Typedefs
ISAPI_SoapServerFactory.h File Reference
`#include <string>`
`#include <httpext.h>`
`#include "stdsoap2.h"`
Include dependency graph for ISAPI_SoapServerFactory.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | mod_gsoap_interface
class | SoapDll
class | ISAPI_SoapServerFactory

## Typedefs
typedef SOAP_FMAC1 void(SOAP_FMAC2 * | isapi_gsoap_server_fn) (struct soap *)
| calls soap_serve inside shared library More...
typedef SOAP_FMAC1 void(SOAP_FMAC2 * | isapi_soap_delete_fn) (struct soap *, void *)
typedef SOAP_FMAC1 int(SOAP_FMAC2 * | isapi_soap_register_plugin_fn) (struct soap *, int(*fcreate) (struct soap *, struct soap_plugin *, void *), void *arg)
typedef SOAP_FMAC1 void *SOAP_FMAC2(* | isapi_soap_lookup_plugin_fn) (struct soap *, const char *)
typedef int(* | mod_gsoap_init_fn) ()
typedef int(* | mod_gsoap_terminate_fn) ()

## Detailed Description

Interface of the ISAPI_Server class

Author
  Christian Aberger Copyright (C) 2001 WebWare (http://www.webware.at)

Interface for the ISAPI_SoapServerFactory class

Author
  Christian Aberger Copyright (C) 2001 WebWare (http://www.webware.at)

## Typedef Documentation

typedef SOAP_FMAC1 void(SOAP_FMAC2 * isapi_gsoap_server_fn) (struct soap *)

calls soap_serve inside shared library

typedef SOAP_FMAC1 void(SOAP_FMAC2 * isapi_soap_delete_fn) (struct soap *, void *)

typedef SOAP_FMAC1 void* SOAP_FMAC2(* isapi_soap_lookup_plugin_fn) (struct soap *, const char *)

typedef SOAP_FMAC1 int(SOAP_FMAC2 * isapi_soap_register_plugin_fn) (struct soap *, int(*fcreate)(struct soap *, struct soap_plugin *, void *), void *arg)

typedef int(* mod_gsoap_init_fn) ()

typedef int(* mod_gsoap_terminate_fn) ()